package com.alterdekim.game.entity;

import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name="promotions")
@JsonRootName(value = "i")
public class Promotion {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @JsonIgnore
    private Long id;

    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    @Column(nullable = false)
    private Integer MRId;

    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    @Column(nullable = false)
    private String State;

    @JsonIgnore
    @Column(nullable = false)
    private Boolean isSelected;

    public Promotion(Integer MRId, String state, Boolean isSelected) {
        this.MRId = MRId;
        State = state;
        this.isSelected = isSelected;
    }
}