package com.alterdekim.game.entity;


import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name="promotion_banners")
@JsonRootName(value = "i")
public class PromotionBanner {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @JsonIgnore
    private Long id;

    @JsonProperty
    @JacksonXmlProperty(isAttribute = true)
    @Column(nullable = false)
    private Integer MRId;

    @JsonIgnore
    @Column(nullable = false)
    private Boolean isSelected;

    public PromotionBanner(Integer MRId, Boolean isSelected) {
        this.MRId = MRId;
        this.isSelected = isSelected;
    }
}
