package com.alterdekim.game.entity;

import com.alterdekim.game.component.game.PlayerProperties;
import jakarta.persistence.*;
import lombok.*;

import java.time.LocalDateTime;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name="user_props")
public class UserProperty {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column(nullable = false)
    private Long userId;

    @Column(nullable = true)
    private String stringVal;

    @Column(nullable = true)
    private Boolean booleanVal;

    @Column(nullable = true)
    private Integer integerVal;

    @Column(nullable = true)
    private LocalDateTime dateVal;

    @Enumerated(EnumType.STRING)
    private PlayerProperties type;

    public UserProperty(Long userId, String stringVal, Boolean booleanVal, Integer integerVal, LocalDateTime dateVal, PlayerProperties type) {
        this.userId = userId;
        this.stringVal = stringVal;
        this.booleanVal = booleanVal;
        this.integerVal = integerVal;
        this.dateVal = dateVal;
        this.type = type;
    }
}
